@font-face {
	font-family: 'Montserrat';
	src: url('/font/Montserrat-Regular.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}
  
@font-face {
	font-family: 'Montserrat';
	src: url('/font/Montserrat-BoldItalic.woff2') format('woff2');
	font-weight: bold;
	font-style: italic;
	font-display: swap;
}
  
@font-face {
	font-family: 'Montserrat';
	src: url('/font/Montserrat-Bold.woff2') format('woff2');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}
  
@font-face {
	font-family: 'Montserrat';
	src: url('/font/Montserrat-Italic.woff2') format('woff2');
	font-weight: normal;
	font-style: italic;
	font-display: swap;
}

body {
	margin: 0;
	padding: 0;
	font-family: Montserrat, Helvetica, Arial, sans-serif;
	background-color: #0f2e3d;
}

main {
	margin: 0 auto;
	display: flex;
	max-width: 1200px;
	background-color: #FFF;
	padding: 1rem;
	border-bottom-left-radius: 3px;
	border-bottom-right-radius: 3px;
}

a {
	color: #FFF;
	text-decoration: underline;
}
  
a:hover {
	color: #FFF;
}

h1 {
	margin-top: 0
}

p {
	text-align: justify;
}

footer {
	padding: 1rem;
	text-align: center; 
	margin-top: 2em;
	margin-bottom: 2em;
	color: #FFF;
}

#ui {
	width: calc(100% - 650px);
	height: 90%;
	padding: 1em;
}

#canvasContainer {
	margin-top: 0.5em;
}

#canvas {
	margin-left: auto;
	margin-right: auto;
}

input {
	border: 1px solid #AAA;
	padding: 2px;
	display: inline-block;
	background-color: #FAFAFA;
	margin: 5px 2px;
}

input:focus {
	background-color: #EEE;
	border: 1px solid #000;
}

#matrixContainer {
	display: flex;
	justify-content:space-around;
}

#matrix tr td {
	text-align: right;
	width: 45px;
}

input[type='text'] {
	width: 100%;
	font-size: 1.1em;
	border: 1px solid #DDD;
	background-color: #FFF;
	outline: none;
	border-radius: 2px;
	text-align: center;
	transition: background-color 0.3s ease-in-out;
}

input[type='text']:focus {
	background-color: #DEF;
}

#equation {
	margin: 1em;
	text-align: center;
	font-size: 1.2em;
}

.dot {
	border-radius: 50%;
	border: 1px solid black;
	width: 6px;
	height: 6px; 
	background-color: #AAF;
	position: absolute; 
	z-index: 2;
	top: 0;
	left: 0;
	box-shadow: #33A 0 0 0px 0px;
	transition: ease-in-out 0.2s box-shadow;
}

.dot:hover {
	cursor: grab;
	background-color: #99D;
	box-shadow: #33A 0 0 10px 2px;
}

.invertedDot {
	background-color: #AFA;
}

.invertedDot:hover {
	cursor: grab;
	background-color: #9D9;
	box-shadow: #3A4 0 0 10px 2px;
}

@media only screen and (max-width: 1000px) {
	main {
		flex-direction: column;
	}

	#ui {
		width: initial;
	}

	#equationField {
		max-width: 100%;
	}

	#canvasContainer {
		max-width: 100;
		margin: 0 auto;
	}

	#canvas {
		max-width: 100%;
		margin: 0 auto;
	}
}

@media only screen and (max-width: 600px) {
	p {
		text-align: left;
	}

	#matrixContainer {
		flex-direction: column;
	}

	#matrixContainer td {
		margin: 0.5em 0.5em;
	}
}